import { OnInit, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { QuizService } from '../../../service/quiz.service';
import { BsModalService } from 'ngx-bootstrap/modal';
import { BsModalRef } from 'ngx-bootstrap/modal/bs-modal-ref.service';
import { DomSanitizer } from '@angular/platform-browser';
import { ImageScaling } from '../../../models/image-scaling.model';
export declare class ImageScalingComponent implements OnInit {
    private modalService;
    _DomSanitizationService: DomSanitizer;
    private quizService;
    private changeDetectorRef;
    private canvasRef;
    templateRef: TemplateRef<HTMLElement>;
    constructor(modalService: BsModalService, _DomSanitizationService: DomSanitizer, quizService: QuizService, changeDetectorRef: ChangeDetectorRef);
    slideData: any;
    ImageSource: string;
    targetWidth: number;
    targetHeight: number;
    imageUrl: string;
    modalRef: BsModalRef;
    fileName: string;
    ngOnInit(): void;
    createImage(): void;
    onloadImage(imageObj: any): void;
    clickImage(slide: ImageScaling): void;
    splitStringForType(type: any, value: any): string;
    loadImagePath(assetType: any, slide: any): any;
    loadImagePathinsideModal(imageUrl: any): any;
}
